
user  nginx;
worker_processes  auto;

error_log  /var/log/nginx/error.log warn;
pid        /var/run/nginx.pid;


events {
    worker_connections  65535;
}


http {
    include       /etc/nginx/mime.types;
    default_type  application/octet-stream;
    client_max_body_size 1024M;
    log_format  main  '$remote_addr - $remote_user [$time_local] "$request" '
                      '$status $body_bytes_sent "$http_referer" '
                      '"$http_user_agent" "$http_x_forwarded_for"';

    access_log  /var/log/nginx/access.log  main;

    sendfile        on;
    #tcp_nopush     on;

    keepalive_timeout  65;
    proxy_read_timeout 300s;

    tcp_nodelay on;
    client_header_timeout 15;
    client_body_timeout 15;

    gzip  on;
    gzip_buffers 32 4K;
    gzip_comp_level 6;
    gzip_min_length 100;
    gzip_types application/javascript text/css text/xml;
    gzip_disable "MSIE [1-6]\.";

    # SSL/TLS 会话缓存和超时时间设置
    ssl_session_cache shared:SSL:10m;
    ssl_session_timeout 10m;

    # 配置SSL/TLS会话恢复
    ssl_session_tickets on;
	
    include /etc/nginx/conf.d/*.conf;
	
    server {
		listen 80;
		client_max_body_size 2048M;
		#listen 443 ssl;
        	server_name  recomm.medmeeting.com ;	
		# ssl on;
		#root html;
		#index index.html index.htm;
		#ssl_certificate /cert/5348297__medmeeting.com.pem;
		#ssl_certificate_key  /cert/5348297__medmeeting.com.key;
		#ssl_session_timeout 5m;
		#ssl_ciphers ECDHE-RSA-AES128-GCM-SHA256:ECDHE:ECDH:AES:HIGH:!NULL:!aNULL:!MD5:!ADH:!RC4;
		#ssl_protocols TLSv1 TLSv1.1 TLSv1.2;
		#ssl_prefer_server_ciphers on;
                
		
		location ~ /Services/ {
			proxy_redirect off;
			proxy_set_header  Host  $host;
			proxy_set_header  X-Real-IP  $remote_addr;  
			proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
			proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
			proxy_pass http://192.168.0.1:8000;
		}

		location ^~ /edcQuantStudio/ {
			proxy_redirect off;
			proxy_set_header  Host  $host;
			proxy_set_header  X-Real-IP  $remote_addr;  
			proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
			proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
			proxy_pass http://192.168.0.1:8000/;
		}

		location  ^~ /edcQuantStudio/FileBaseFolder/QuantStudio/ {
			proxy_redirect off;
			proxy_set_header  Host  $host;
			proxy_set_header  X-Real-IP  $remote_addr;
			proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
			proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
			proxy_pass http://192.168.0.1:8000/FileBaseFolder/QuantStudio/;
		}

                location  ^~ /FileBaseFolder/QuantStudio/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:9088/FileBaseFolder/QuantStudio/;
                }

		location /VideoQuickTask/ {
			proxy_redirect off;
            proxy_set_header  Host  $host;
            proxy_set_header  X-Real-IP  $remote_addr;  
            proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
            proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
			proxy_pass http://192.168.0.1:8087/;
		}
                location /SmsQuickTask/ {
                        proxy_redirect off;
            proxy_set_header  Host  $host;
            proxy_set_header  X-Real-IP  $remote_addr;
            proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
            proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8089/;
                }
	location /metabase/ {
		 proxy_pass   http://192.168.0.1:3001/;
		proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
	}
	location /edc_metabase/ {
		proxy_pass   http://192.168.0.1:3005/;
		proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
	}
                location /activemq/ {
                        proxy_redirect off;
            proxy_set_header  Host  $host;
            proxy_set_header  X-Real-IP  $remote_addr;
            proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
            proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8161/;
                }
               location  /phonemq/ {
                proxy_redirect off;
                proxy_set_header  Host  $host;
                proxy_set_header  X-Real-IP  $remote_addr;
                proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                proxy_pass http://localhost:61616/;
        }
    	location  /monitor/ {
                        #proxy_redirect off;
                        #proxy_pass http://139.196.255.23:8990/monitor/;
						alias   /TSSJavaServices/YaPei/files/phone/monitor/;
                }
	  location  /Amonitor/ {
                        proxy_redirect off;
                        proxy_pass https://a1-ass-recorder.oss-cn-beijing.aliyuncs.com/;
                }
                location  /106monitor/ {
                        proxy_redirect off;
                        proxy_pass http://106.14.46.234:8990/;
                }
        
          location /api/ {
                        proxy_redirect off;
            proxy_set_header  Host  $host;
            proxy_set_header  X-Real-IP  $remote_addr;
            proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
            proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://47.117.69.252:8080/;
                }

        location /cgi-bin {
            proxy_redirect off;
            proxy_set_header  Host  $host;
            proxy_set_header  X-Real-IP  $remote_addr;  
            proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
            proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
             proxy_pass https://qyapi.weixin.qq.com;
        }

        location /phonemonitor/ {
                proxy_redirect off;
                proxy_pass http://work-phone-record.oss-cn-beijing.aliyuncs.com/;
        }

      location  /Localmonitor/ {
    	proxy_redirect off;
	proxy_pass http://recomm.medmeeting.com/;
      }

    location  /search {
    	proxy_redirect off;
        proxy_set_header  Host  $host;
	proxy_set_header  X-Real-IP  $remote_addr;  
	proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
	proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
	proxy_pass  http://192.168.0.1:8080;
      }

                location  /PhoneQuickTask/ {
                        proxy_redirect off;
            proxy_set_header  Host  $host;
            proxy_set_header  X-Real-IP  $remote_addr;
             #启用支持websocket连接
            proxy_set_header Upgrade $http_upgrade;
            proxy_set_header Connection "upgrade";
            proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
            proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8088/;
                }

	       location  /xwedc/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8096/xwedc/;
                }	
	       location  /xwBtkEdc/ {
		       proxy_redirect off;
		       proxy_set_header  Host  $host;
		       proxy_set_header  X-Real-IP  $remote_addr;
		       proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		       proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		       proxy_pass http://192.168.0.1:9050/xwBtkEdc/;
	       }
	       location  /EdcPuDong/ {
		       proxy_redirect off;
		       proxy_set_header  Host  $host;
		       proxy_set_header  X-Real-IP  $remote_addr;
		       proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		       proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		       proxy_pass http://192.168.0.1:9400/;
	       }

	       location  /EdcKyowaKirin/ {
		       proxy_redirect off;
		       proxy_set_header  Host  $host;
		       proxy_set_header  X-Real-IP  $remote_addr;
		       proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		       proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		       proxy_pass http://192.168.0.1:9401/EdcKyowaKirin/;
	       }

	       location  /EdcChUrology/ {
		       proxy_redirect off;
		       proxy_set_header  Host  $host;
		       proxy_set_header  X-Real-IP  $remote_addr;
		       proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		       proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		       proxy_pass http://192.168.0.1:8078/EdcChUrology/;
	       }

	       location  /EdcGileadHiv/ {
		       proxy_redirect off;
		       proxy_set_header  Host  $host;
		       proxy_set_header  X-Real-IP  $remote_addr;
		       proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		       proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		       proxy_pass http://192.168.0.1:9403/EdcGileadHiv/;
	       }

	       location  /EdcJingAn/ {
		       proxy_redirect off;
		       proxy_set_header  Host  $host;
		       proxy_set_header  X-Real-IP  $remote_addr;
		       proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		       proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		       proxy_pass http://192.168.0.1:9055/EdcJingAn/;
	       }
		   
		   	location  /chatGpt/ {
				proxy_redirect off;
				proxy_set_header  Host  $host;
				proxy_set_header  X-Real-IP  $remote_addr;
				proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
				proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
				proxy_pass http://192.168.0.1:6099/;
				proxy_http_version 1.1;
				proxy_set_header Connection '';
				proxy_buffering off;
				proxy_cache off;
				chunked_transfer_encoding off;
			}

	       location  /edcChPancreas/ {
		       proxy_redirect off;
		       proxy_set_header  Host  $host;
		       proxy_set_header  X-Real-IP  $remote_addr;
		       proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		       proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		       proxy_pass http://192.168.0.1:8999/edcChPancreas/;
	       }

	       location  /EdcChAcutePancreas/ {
		       proxy_redirect off;
		       proxy_set_header  Host  $host;
		       proxy_set_header  X-Real-IP  $remote_addr;
		       proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		       proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		       proxy_pass http://192.168.0.1:9408/EdcChAcutePancreas/;
	       }

	       location  /EdcShTenEmergency/ {
		       proxy_redirect off;
		       proxy_set_header  Host  $host;
		       proxy_set_header  X-Real-IP  $remote_addr;
		       proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		       proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		       proxy_pass http://192.168.0.1:9404/EdcShTenEmergency/;
	       }


	       location /QiNiuFile/   {
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_read_timeout 3600s;
                        proxy_connect_timeout       3600s;
                        proxy_send_timeout          3600s;
                        send_timeout                3600s;
                        fastcgi_read_timeout        3600s;
                        proxy_http_version 1.1;
                        proxy_set_header Connection '';
                        proxy_buffering off;
                        proxy_cache off;
                        proxy_pass http://recomm-package.medmeeting.com/;
            }

	location  /eastedc/ {
		proxy_redirect off;
		proxy_set_header  Host  $host;
		proxy_set_header  X-Real-IP  $remote_addr;
		proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		proxy_pass http://192.168.0.1:8992/eastedc/;
		keepalive_timeout  180;
		}
		location  /phoneOcr/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8020/;
                        proxy_read_timeout 120s;
                }
                location  /ocrQuickTask/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8030/;
                        proxy_read_timeout 120s;
                }
                location  /ocrQuickTask_sx/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8031/;
                        proxy_read_timeout 120s;
                }
                location  /QuickTaskSpeech/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8033/;
                        proxy_read_timeout 3600s;
                        proxy_connect_timeout       3600s;
                        proxy_send_timeout          3600s;
                        send_timeout                3600s;
                        fastcgi_read_timeout        3600s;
                }
                location  /edcTrial/ocr/ {
                         proxy_redirect off;
                         proxy_set_header  Host  $host;
                         proxy_set_header  X-Real-IP  $remote_addr;
                         proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                         proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                         proxy_pass http://192.168.0.1:8068/;
                }
                location  /eastedc/phoneocr/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8068/;
                }
                location  /edcAnorectal/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8993/edcAnorectal/;
                }

                location  /ruijinAnorectal/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8994/ruijinAnorectal/;
                }

                location  /edcVte/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8995/edcVte/;
                }

		location  /EdcChildren/ {
			proxy_redirect off;
			proxy_set_header  Host  $host;
			proxy_set_header  X-Real-IP  $remote_addr;
			proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
			proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
			proxy_pass http://192.168.0.1:8075/;
		}
		location  /EdcRenji/ {
			proxy_redirect off;
			proxy_set_header  Host  $host;
			proxy_set_header  X-Real-IP  $remote_addr;
			proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
			proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
			proxy_pass http://192.168.0.1:8076/EdcRenji/;
		}

                
		
                location  /websocket/ {
                        proxy_redirect off;
            proxy_set_header  Host  $host;
            proxy_set_header  X-Real-IP  $remote_addr;
            proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
            proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8088/websocket/calledMaterial;
                }
		
		location ~ /datasink/ {
			proxy_redirect off;
            proxy_set_header  Host  $host;
            proxy_set_header  X-Real-IP  $remote_addr;  
            proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
            proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
			proxy_pass https://datasink.medmeeting.com;
		}
		location /taskServices/ {
                # client_max_body_size    1000m;
                proxy_pass http://recomm.medmeeting.com;
                proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        }	
	 
	    location /old-page {
			return 301 https://referalh5.medmeeting.com/chatGPT-web/wyTemplate.html?uuid=ip&source=professional;
		}

		location / {
            root   /usr/share/nginx/html;
			try_files $uri $uri/ /index.html;
            index  index.html index.htm;
        }





        error_page   500 502 503 504  /50x.html;
        location = /50x.html {
            root   html;
        }
    }

  


       server {
                listen 80;
		client_max_body_size 2048M;
		#listen 443 ssl;
		server_name  referalH5.medmeeting.com;	
		# ssl on;
		#root html;
		#index index.html index.htm;
		#ssl_certificate /cert/5348297__medmeeting.com.pem;
		#ssl_certificate_key  /cert/5348297__medmeeting.com.key;
		#ssl_session_timeout 5m;
		#ssl_ciphers ECDHE-RSA-AES128-GCM-SHA256:ECDHE:ECDH:AES:HIGH:!NULL:!aNULL:!MD5:!ADH:!RC4;
		#ssl_protocols TLSv1 TLSv1.1 TLSv1.2;
		#ssl_prefer_server_ciphers on;	
   	
		location ~ /Services/ {
			proxy_redirect off;
			proxy_set_header  Host  $host;
			proxy_set_header  X-Real-IP  $remote_addr;  
			proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
			proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
			proxy_pass http://192.168.0.1:8000;
		}

		location ^~ /edcQuantStudio/ {
			proxy_redirect off;
			proxy_set_header  Host  $host;
			proxy_set_header  X-Real-IP  $remote_addr;  
			proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
			proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
			proxy_pass http://192.168.0.1:8000/;
		}

		location  ^~ /edcQuantStudio/FileBaseFolder/QuantStudio/ {
			proxy_redirect off;
			proxy_set_header  Host  $host;
			proxy_set_header  X-Real-IP  $remote_addr;
			proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
			proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
			proxy_pass http://192.168.0.1:8000/FileBaseFolder/QuantStudio/;
		}
		location /metabase/ {
			proxy_pass   http://192.168.0.1:3001/;
			proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
		}
		location /edc_metabase/ {
			proxy_pass   http://192.168.0.1:3005/;
			proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
		}
		location  /CommunityHealth/ {
			proxy_redirect off;
			proxy_set_header  Host  $host;
			proxy_set_header  X-Real-IP  $remote_addr;
			#启用支持websocket连接
			proxy_set_header Upgrade $http_upgrade;
			proxy_set_header Connection "upgrade";
			proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
			proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
			proxy_pass http://192.168.0.1:8090/;

		}
                location  /CommunityChat/ {
                        proxy_redirect off;
            proxy_set_header  Host  $host;
            proxy_set_header  X-Real-IP  $remote_addr;
            proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
            proxy_set_header Upgrade $http_upgrade;
            proxy_set_header Connection "upgrade";
            proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
            proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8099/;
                }

				location  /chatopenAi/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:6099/;
						proxy_http_version 1.1;
						proxy_set_header Connection '';
						proxy_buffering off;
						proxy_cache off;
						chunked_transfer_encoding off;
                }				
		
		  location  /EdcSystem/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8095/;
                }
		  

		  location  /EdcCbrSystem/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:9005/;
                }

                location  /xwedc/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8096/xwedc/;
                }

		location  /xwBtkEdc/ {
			proxy_redirect off;
			proxy_set_header  Host  $host;
			proxy_set_header  X-Real-IP  $remote_addr;
			proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
			proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
			proxy_pass http://192.168.0.1:9050/xwBtkEdc/;
		}
	       location  /EdcPuDong/ {
		       proxy_redirect off;
		       proxy_set_header  Host  $host;
		       proxy_set_header  X-Real-IP  $remote_addr;
		       proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		       proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		       proxy_pass http://192.168.0.1:9400/;
	       }

	       location  /EdcKyowaKirin/ {
		       proxy_redirect off;
		       proxy_set_header  Host  $host;
		       proxy_set_header  X-Real-IP  $remote_addr;
		       proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		       proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		       proxy_pass http://192.168.0.1:9401/EdcKyowaKirin/;
	       }

	       location  /EdcChUrology/ {
		       proxy_redirect off;
		       proxy_set_header  Host  $host;
		       proxy_set_header  X-Real-IP  $remote_addr;
		       proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		       proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		       proxy_pass http://192.168.0.1:8078/EdcChUrology/;
	       }

	       location  /EdcGileadHiv/ {
		       proxy_redirect off;
		       proxy_set_header  Host  $host;
		       proxy_set_header  X-Real-IP  $remote_addr;
		       proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		       proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		       proxy_pass http://192.168.0.1:9403/EdcGileadHiv/;
	       }

	       location  /EdcJingAn/ {
		       proxy_redirect off;
		       proxy_set_header  Host  $host;
		       proxy_set_header  X-Real-IP  $remote_addr;
		       proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		       proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		       proxy_pass http://192.168.0.1:9055/EdcJingAn/;
	       }

	       location  /edcChPancreas/ {
		       proxy_redirect off;
		       proxy_set_header  Host  $host;
		       proxy_set_header  X-Real-IP  $remote_addr;
		       proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		       proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		       proxy_pass http://192.168.0.1:8999/edcChPancreas/;
	       }

	       location  /EdcChAcutePancreas/ {
		       proxy_redirect off;
		       proxy_set_header  Host  $host;
		       proxy_set_header  X-Real-IP  $remote_addr;
		       proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		       proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		       proxy_pass http://192.168.0.1:9408/EdcChAcutePancreas/;
	       }

	       location  /EdcShTenEmergency/ {
		       proxy_redirect off;
		       proxy_set_header  Host  $host;
		       proxy_set_header  X-Real-IP  $remote_addr;
		       proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		       proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		       proxy_pass http://192.168.0.1:9404/EdcShTenEmergency/;
	       }

	       location /QiNiuFile/   {
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_read_timeout 3600s;
                        proxy_connect_timeout       3600s;
                        proxy_send_timeout          3600s;
                        send_timeout                3600s;
                        fastcgi_read_timeout        3600s;
                        proxy_http_version 1.1;
                        proxy_set_header Connection '';
                        proxy_buffering off;
                        proxy_cache off;
                        proxy_pass http://recomm-package.medmeeting.com/;
            }

                location  /eastedc/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8992/eastedc/;
			keepalive_timeout  180;
                }
                location  /edcAnorectal/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8993/edcAnorectal/;
                }

                location  /ruijinAnorectal/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8994/ruijinAnorectal/;
                }

                location  /edcVte/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8995/edcVte/;
                }

		location  /EdcChildren/ {
			proxy_redirect off;
			proxy_set_header  Host  $host;
			proxy_set_header  X-Real-IP  $remote_addr;
			proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
			proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
			proxy_pass http://192.168.0.1:8075/;
		}

		location  /EdcRenji/ {
			proxy_redirect off;
			proxy_set_header  Host  $host;
			proxy_set_header  X-Real-IP  $remote_addr;
			proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
			proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
			proxy_pass http://192.168.0.1:8076/EdcRenji/;
		}
                location  /phoneOcr/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8020/;
                        proxy_read_timeout 120s;
                }   

                location  /ocrQuickTask/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8030/;
                        proxy_read_timeout 120s;
                }
                location  /edcTrial/ocr/ {
                         proxy_redirect off;
                         proxy_set_header  Host  $host;
                         proxy_set_header  X-Real-IP  $remote_addr;
                         proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                         proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                         proxy_pass http://192.168.0.1:8068/;
                }
                location  /eastedc/phoneocr/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8068/;
                }
                location  /ocrcommon/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8068/;
                }
                location  /commoninterface/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8070/;
                }     
                location  /CommunityHealthAdmin/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8091/;
                }
		location /old-page {
			return 301 https://referalh5.medmeeting.com/chatGPT-web/wyTemplate.html?uuid=ip&source=professional;
		}
	
	location / {
            		root   /usr/share/nginx/html;
			try_files $uri $uri/ /index.html;
            		index  index.html index.htm;
       	 }

    	  error_page   500 502 503 504  /50x.html;
       	  location = /50x.html {
            		root   html;
       		 }	
      }

   server {
    listen 443 ssl http2;
    server_name referalH5.medmeeting.com;

    client_max_body_size 2048M;

    root html;
    index index.html index.htm;

    ssl_certificate /cert/medmeeting.com.pem;
    ssl_certificate_key /cert/medmeeting.com.key;

    ssl_session_timeout 5m;

    # 配置强制 HTTPS 并优化安全性
    #ssl_protocols TLSv1.2 TLSv1.3;
    #ssl_prefer_server_ciphers on;
    #ssl_ciphers 'ECDHE-ECDSA-AES128-GCM-SHA256:ECDHE-RSA-AES128-GCM-SHA256:ECDHE-ECDSA-AES256-GCM-SHA384:ECDHE-RSA-AES256-GCM-SHA384:DHE-RSA-AES128-GCM-SHA256:!aNULL:!MD5:!DSS';

    # HSTS 可以防止 SSL 剥离攻击，但只有当你确保一段时间内都会用 HTTPS 时才开启
    #add_header Strict-Transport-Security "max-age=31536000; includeSubdomains" always;

    # 不允许一些浏览器暴露 referer 信息
    #add_header X-Content-Type-Options nosniff;
    #add_header X-Frame-Options "DENY";
    #add_header X-XSS-Protection "1; mode=block";

        # OCSP Stapling 配置
        ssl_stapling on;
        ssl_stapling_verify on;
        ssl_trusted_certificate /cert/medmeeting.com.pem;	
		location ~ /Services/ {
			proxy_redirect off;
			proxy_set_header  Host  $host;
			proxy_set_header  X-Real-IP  $remote_addr;  
			proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
			proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
			proxy_pass http://192.168.0.1:8000;
		}

		location ^~ /edcQuantStudio/ {
			proxy_redirect off;
			proxy_set_header  Host  $host;
			proxy_set_header  X-Real-IP  $remote_addr;  
			proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
			proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
			proxy_pass http://192.168.0.1:8000/;
		}

		location  ^~ /edcQuantStudio/FileBaseFolder/QuantStudio/ {
			proxy_redirect off;
			proxy_set_header  Host  $host;
			proxy_set_header  X-Real-IP  $remote_addr;
			proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
			proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
			proxy_pass http://192.168.0.1:8000/FileBaseFolder/QuantStudio/;
		}
		location /metabase/ {
			proxy_pass   http://192.168.0.1:3001/;
			proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
		}
		location /edc_metabase/ {
			proxy_pass   http://192.168.0.1:3005/;
			proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
		}
		location  /CommunityHealth/ {
			proxy_redirect off;
			proxy_set_header  Host  $host;
			proxy_set_header  X-Real-IP  $remote_addr;
             		#启用支持websocket连接
           	 	proxy_set_header Upgrade $http_upgrade;
            		proxy_set_header Connection "upgrade";
            		proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
           	 	proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        	proxy_pass http://192.168.0.1:8090/;
             
		}	
                location  /CommunityChat/ {
                        proxy_redirect off;
            proxy_set_header  Host  $host;
            proxy_set_header  X-Real-IP  $remote_addr;
            proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
            proxy_set_header Upgrade $http_upgrade;
            proxy_set_header Connection "upgrade";
            proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
            proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8099/;
                }
                location  /CommunityChatWanyi/ {
                        proxy_redirect off;
            proxy_set_header  Host  $host;
            proxy_set_header  X-Real-IP  $remote_addr;
            proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
            proxy_set_header Upgrade $http_upgrade;
            proxy_set_header Connection "upgrade";
            proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
            proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:9999/;
                }				
		
		location  /EdcSystem/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8095/;
                }
		  location  /chatGpt/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:9099/;
						proxy_http_version 1.1;
						proxy_set_header Connection '';
						proxy_buffering off;
						proxy_cache off;
						chunked_transfer_encoding off;
                }
				
				location  /chatopenAi/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:6099/chatGpt/;
						proxy_http_version 1.1;
						proxy_set_header Connection '';
						proxy_buffering off;
						proxy_cache off;
						chunked_transfer_encoding off;
                }	

                location  /xwedc/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8096/xwedc/;
                }

		location  /xwBtkEdc/ {
			proxy_redirect off;
			proxy_set_header  Host  $host;
			proxy_set_header  X-Real-IP  $remote_addr;
			proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
			proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
			proxy_pass http://192.168.0.1:9050/xwBtkEdc/;
		}
	       location  /EdcPuDong/ {
		       proxy_redirect off;
		       proxy_set_header  Host  $host;
		       proxy_set_header  X-Real-IP  $remote_addr;
		       proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		       proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		       proxy_pass http://192.168.0.1:9400/;
	       }

	       location  /EdcKyowaKirin/ {
		       proxy_redirect off;
		       proxy_set_header  Host  $host;
		       proxy_set_header  X-Real-IP  $remote_addr;
		       proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		       proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		       proxy_pass http://192.168.0.1:9401/EdcKyowaKirin/;
	       }

	       location  /EdcChUrology/ {
		       proxy_redirect off;
		       proxy_set_header  Host  $host;
		       proxy_set_header  X-Real-IP  $remote_addr;
		       proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		       proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		       proxy_pass http://192.168.0.1:8078/EdcChUrology/;
	       }

	       location  /EdcGileadHiv/ {
		       proxy_redirect off;
		       proxy_set_header  Host  $host;
		       proxy_set_header  X-Real-IP  $remote_addr;
		       proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		       proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		       proxy_pass http://192.168.0.1:9403/EdcGileadHiv/;
	       }

	       location  /EdcJingAn/ {
		       proxy_redirect off;
		       proxy_set_header  Host  $host;
		       proxy_set_header  X-Real-IP  $remote_addr;
		       proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		       proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		       proxy_pass http://192.168.0.1:9055/EdcJingAn/;
	       }

	       location  /edcChPancreas/ {
		       proxy_redirect off;
		       proxy_set_header  Host  $host;
		       proxy_set_header  X-Real-IP  $remote_addr;
		       proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		       proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		       proxy_pass http://192.168.0.1:8999/edcChPancreas/;
	       }

	       location  /EdcChAcutePancreas/ {
		       proxy_redirect off;
		       proxy_set_header  Host  $host;
		       proxy_set_header  X-Real-IP  $remote_addr;
		       proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		       proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		       proxy_pass http://192.168.0.1:9408/EdcChAcutePancreas/;
	       }

	       location  /EdcShTenEmergency/ {
		       proxy_redirect off;
		       proxy_set_header  Host  $host;
		       proxy_set_header  X-Real-IP  $remote_addr;
		       proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		       proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		       proxy_pass http://192.168.0.1:9404/EdcShTenEmergency/;
	       }

	       location /QiNiuFile/   {
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_read_timeout 3600s;
                        proxy_connect_timeout       3600s;
                        proxy_send_timeout          3600s;
                        send_timeout                3600s;
                        fastcgi_read_timeout        3600s;
                        proxy_http_version 1.1;
                        proxy_set_header Connection '';
                        proxy_buffering off;
                        proxy_cache off;
                        proxy_pass http://recomm-package.medmeeting.com/;
               }
               #location /QiNiuYun/   {
               #         proxy_pass http://recomm-package.medmeeting.com/;
               #         proxy_set_header Host $host;
               #         proxy_set_header X-Real-IP $remote_addr;
               #         proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
               #         proxy_set_header X-Forwarded-Proto $scheme;

               #         proxy_cache my_cache;
               #         proxy_cache_valid 200 1h;
               #         client_max_body_size 50m;
               #}

                location  /eastedc/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8992/eastedc/;
			keepalive_timeout  180;
                }
                location  /edcAnorectal/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8993/edcAnorectal/;
                }

                location  /ruijinAnorectal/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8994/ruijinAnorectal/;
                }

                location  /edcVte/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8995/edcVte/;
                }

		location  /EdcChildren/ {
			proxy_redirect off;
			proxy_set_header  Host  $host;
			proxy_set_header  X-Real-IP  $remote_addr;
			proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
			proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
			proxy_pass http://192.168.0.1:8075/;
		}

		location  /EdcRenji/ {
			proxy_redirect off;
			proxy_set_header  Host  $host;
			proxy_set_header  X-Real-IP  $remote_addr;
			proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
			proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
			proxy_pass http://192.168.0.1:8076/EdcRenji/;
		}

		location  /EdcCbrSystem/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:9005/;
                }
		location  /phoneOcr/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8020/;
                        proxy_read_timeout 120s;
                }
                location  /ocrQuickTask/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8030/;
                        proxy_read_timeout 120s;
                }
                location  /edcTrial/ocr/ {
          		 proxy_redirect off;
           		 proxy_set_header  Host  $host;
           		 proxy_set_header  X-Real-IP  $remote_addr;
           		 proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
           		 proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
            		 proxy_pass http://192.168.0.1:8068/;
        	}   
        	location  /eastedc/phoneocr/ {
            		proxy_redirect off;
            		proxy_set_header  Host  $host;
            		proxy_set_header  X-Real-IP  $remote_addr;
            		proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
            		proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
            		proxy_pass http://192.168.0.1:8068/;
        	}
                location  /ocrcommon/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8068/;
                        proxy_read_timeout 3600s;
                        proxy_connect_timeout       3600s;
                        proxy_send_timeout          3600s;
                        send_timeout                3600s;
                        fastcgi_read_timeout        3600s;
                }
                location  /commoninterface/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8070/;
                        proxy_read_timeout 3600s;
                        proxy_connect_timeout       3600s;
                        proxy_send_timeout          3600s;
                        send_timeout                3600s;
                        fastcgi_read_timeout        3600s;
                }
                location  /CommunityHealthAdmin/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8091/;
                }
                location  /EdcPudongCarotidArtery/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        #proxy_pass http://36.103.204.165:80/EdcPudongCarotidArtery/;
                        proxy_pass https://edc.wanyih.com/EdcPudongCarotidArtery/;
                }
		location /old-page {
			return 301 https://referalh5.medmeeting.com/chatGPT-web/wyTemplate.html?uuid=ip&source=professional;
		}
	
	location / {
			#add_header X-Frame-Options "ALLOWALL";
			autoindex on;
            root   /usr/share/nginx/html;
			#try_files $uri $uri/ /index.html;
            index  index.html index.htm;
       	 }

    	  error_page   500 502 503 504  /50x.html;
       	  location = /50x.html {
            		root   html;
       		 }	
      }

    # HTTPS server
    #
    server {
        listen  443 ssl http2;
        client_max_body_size 2048M;
        server_name  recomm.medmeeting.com;

        ssl_certificate /cert/medmeeting.com.pem; #这里是ssl key文件存放的绝对路径，根据自己的文件名称和路径来写
        ssl_certificate_key /cert/medmeeting.com.key; #这里是ssl key文件存放的绝对路径，根据自己的文件名称和路径来写


        location ~ /Services/ {
            proxy_redirect off;
            proxy_set_header  Host  $host;
            proxy_set_header  X-Real-IP  $remote_addr;  
            proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
            proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
            proxy_pass http://192.168.0.1:8000;
        }

        location ^~ /edcQuantStudio/ {
            proxy_redirect off;
            proxy_set_header  Host  $host;
            proxy_set_header  X-Real-IP  $remote_addr;  
            proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
            proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
            proxy_pass http://192.168.0.1:8000/;
        }

	location  ^~ /edcQuantStudio/FileBaseFolder/QuantStudio/ {
		proxy_redirect off;
		proxy_set_header  Host  $host;
		proxy_set_header  X-Real-IP  $remote_addr;
		proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		proxy_pass http://192.168.0.1:8000/FileBaseFolder/QuantStudio/;
	}
        location  /xwedc/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8096/xwedc/;
        }
        location  /xwBtkEdc/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:9050/xwBtkEdc/;
        }
	location  /EdcPuDong/ {
		proxy_redirect off;
		proxy_set_header  Host  $host;
		proxy_set_header  X-Real-IP  $remote_addr;
		proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		proxy_pass http://192.168.0.1:9400/;
	}

	location  /EdcKyowaKirin/ {
		proxy_redirect off;
		proxy_set_header  Host  $host;
		proxy_set_header  X-Real-IP  $remote_addr;
		proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		proxy_pass http://192.168.0.1:9401/EdcKyowaKirin/;
	}
        location /spoReport/   {
                proxy_redirect off;
                proxy_set_header  Host  $host;
                proxy_set_header  X-Real-IP  $remote_addr;
                proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                proxy_pass http://192.168.0.1:9405/SPO/;
        }
        location /flowableAuth/   {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;

                        proxy_pass https://yzbapitest.wanyih.com/v1/;
                }
	location  /EdcChUrology/ {
		proxy_redirect off;
		proxy_set_header  Host  $host;
		proxy_set_header  X-Real-IP  $remote_addr;
		proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		proxy_pass http://192.168.0.1:8078/EdcChUrology/;
	}

	location  /EdcGileadHiv/ {
		proxy_redirect off;
		proxy_set_header  Host  $host;
		proxy_set_header  X-Real-IP  $remote_addr;
		proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		proxy_pass http://192.168.0.1:9403/EdcGileadHiv/;
	}

	location  /EdcJingAn/ {
		proxy_redirect off;
		proxy_set_header  Host  $host;
		proxy_set_header  X-Real-IP  $remote_addr;
		proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		proxy_pass http://192.168.0.1:9055/EdcJingAn/;
	}
	
	location  /chatGpt/ {
			proxy_redirect off;
			proxy_set_header  Host  $host;
			proxy_set_header  X-Real-IP  $remote_addr;
			proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
			proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
			proxy_pass http://192.168.0.1:9099/;
			proxy_http_version 1.1;
			proxy_set_header Connection '';
			proxy_buffering off;
			proxy_cache off;
			chunked_transfer_encoding off;
	}
	location  /microwy/ {
			proxy_redirect off;
			proxy_set_header  Host  $host;
			proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
			proxy_set_header  X-Real-IP  $remote_addr;
			proxy_set_header Upgrade $http_upgrade;
			proxy_set_header Connection "upgrade";
			proxy_pass http://192.168.0.1:8026/;
	}
	location  /edcChPancreas/ {
		proxy_redirect off;
		proxy_set_header  Host  $host;
		proxy_set_header  X-Real-IP  $remote_addr;
		proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		proxy_pass http://192.168.0.1:8999/edcChPancreas/;
	}

	location  /EdcChAcutePancreas/ {
		proxy_redirect off;
		proxy_set_header  Host  $host;
		proxy_set_header  X-Real-IP  $remote_addr;
		proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		proxy_pass http://192.168.0.1:9408/EdcChAcutePancreas/;
	}

	location  /EdcShTenEmergency/ {
		proxy_redirect off;
		proxy_set_header  Host  $host;
		proxy_set_header  X-Real-IP  $remote_addr;
		proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		proxy_pass http://192.168.0.1:9404/EdcShTenEmergency/;
	}
        location /EdcShFirstNeurosurgeryVs/   {
                proxy_redirect off;
                proxy_set_header  Host  $host;
                proxy_set_header  X-Real-IP  $remote_addr;
                proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                proxy_pass http://192.168.0.1:9410/shFirstNeurosurgeryVs/;

                }

	location /QiNiuFile/   {
		proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		proxy_read_timeout 3600s;
		proxy_connect_timeout       3600s;
		proxy_send_timeout          3600s;
		send_timeout                3600s;
		fastcgi_read_timeout        3600s;
		proxy_http_version 1.1;
		proxy_set_header Connection '';
		proxy_buffering off;
		proxy_cache off;
		proxy_pass http://recomm-package.medmeeting.com/;
	}

	location  /eastedc/ {
		proxy_redirect off;
		proxy_set_header  Host  $host;
		proxy_set_header  X-Real-IP  $remote_addr;
		proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
		proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
		proxy_pass http://192.168.0.1:8992/eastedc/;
		keepalive_timeout  180;
	}
       location  /edcAnorectal/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8993/edcAnorectal/;
                }

       location  /ruijinAnorectal/ {
	       proxy_redirect off;
	       proxy_set_header  Host  $host;
	       proxy_set_header  X-Real-IP  $remote_addr;
	       proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
	       proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
	       proxy_pass http://192.168.0.1:8994/ruijinAnorectal/;
       }

       location  /edcVte/ {
	       proxy_redirect off;
	       proxy_set_header  Host  $host;
	       proxy_set_header  X-Real-IP  $remote_addr;
	       proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
	       proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
	       proxy_pass http://192.168.0.1:8995/edcVte/;
       }

       location  /EdcChildren/ {
	       proxy_redirect off;
	       proxy_set_header  Host  $host;
	       proxy_set_header  X-Real-IP  $remote_addr;
	       proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
	       proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
	       proxy_pass http://192.168.0.1:8075/;
       }

       location  /EdcRenji/ {
	       proxy_redirect off;
	       proxy_set_header  Host  $host;
	       proxy_set_header  X-Real-IP  $remote_addr;
	       proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
	       proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
	       proxy_pass http://192.168.0.1:8076/EdcRenji/;
       }
        location /VideoQuickTask/ {
            proxy_redirect off;
            proxy_set_header  Host  $host;
            proxy_set_header  X-Real-IP  $remote_addr;  
            proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
            proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
            proxy_pass http://192.168.0.1:8087/;
        }

        location /SmsQuickTask/ {
            proxy_redirect off;
            proxy_set_header  Host  $host;
            proxy_set_header  X-Real-IP  $remote_addr;
            proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
            proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
            proxy_pass http://192.168.0.1:8089/;
        }

        location /metabase/ {
            proxy_pass   http://192.168.0.1:3001/;
            proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        }
	location /edc_metabase/ {
		proxy_pass   http://192.168.0.1:3005/;
		proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
	}

        location /activemq/ {
            proxy_redirect off;
            proxy_set_header  Host  $host;
            proxy_set_header  X-Real-IP  $remote_addr;
            proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
            proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
            proxy_pass http://192.168.0.1:8161/;
        }

        location  /monitor/ {
            #proxy_redirect off;
            #proxy_pass http://139.196.255.23:8990/monitor/;
			alias   /TSSJavaServices/YaPei/files/phone/monitor/;
        }

        location  /Amonitor/ {
            proxy_redirect off;
            proxy_pass https://a1-ass-recorder.oss-cn-beijing.aliyuncs.com/;
        }

        location  /106monitor/ {
            proxy_redirect off;
            proxy_pass http://106.14.46.234:8990/;
        }
        
        location /api/ {
            proxy_redirect off;
            proxy_set_header  Host  $host;
            proxy_set_header  X-Real-IP  $remote_addr;
            proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
            proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
            proxy_pass http://47.117.69.252:8080/;
        }

        location /cgi-bin {
            proxy_redirect off;
            proxy_set_header  Host  $host;
            proxy_set_header  X-Real-IP  $remote_addr;  
            proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
            proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
            proxy_pass https://qyapi.weixin.qq.com;
        }

        location /phonemonitor/ {
            proxy_redirect off;
            proxy_pass http://work-phone-record.oss-cn-beijing.aliyuncs.com/;
        }

        location  /Localmonitor/ {
            proxy_redirect off;
            proxy_pass http://recomm.medmeeting.com/;
        }

        location  /search {
            proxy_redirect off;
            proxy_set_header  Host  $host;
            proxy_set_header  X-Real-IP  $remote_addr;  
            proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
            proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
            proxy_pass  http://192.168.0.1:8080;
        }
	location  /phoneOcr/ {
                        proxy_redirect off;
                        proxy_set_header  Host  $host;
                        proxy_set_header  X-Real-IP  $remote_addr;
                        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                        proxy_pass http://192.168.0.1:8020/;
                        proxy_read_timeout 120s;
        }
        location  /ocrQuickTask/ {
            proxy_redirect off;
            proxy_set_header  Host  $host;
            proxy_set_header  X-Real-IP  $remote_addr;
            proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
            proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
            proxy_pass http://192.168.0.1:8030/;
            proxy_read_timeout 120s;
         }
         location  /ocrQuickTask_sx/ {
            proxy_redirect off;
            proxy_set_header  Host  $host;
            proxy_set_header  X-Real-IP  $remote_addr;
            proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
            proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
            proxy_pass http://192.168.0.1:8031/;
            proxy_read_timeout 120s;
         }
         location  /QuickTaskSpeech/ {
            proxy_redirect off;
            proxy_set_header  Host  $host;
            proxy_set_header  X-Real-IP  $remote_addr;
            proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
            proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
            proxy_pass http://192.168.0.1:8033/;
            proxy_read_timeout 3600s;
            proxy_connect_timeout       3600s;
            proxy_send_timeout          3600s;
            send_timeout                3600s;
            fastcgi_read_timeout        3600s;
            proxy_http_version 1.1;
            proxy_set_header Connection '';
            proxy_buffering off;
            proxy_cache off;
            chunked_transfer_encoding off;
         }
         location  /edcTrial/ocr/ {
            proxy_redirect off;
            proxy_set_header  Host  $host;
            proxy_set_header  X-Real-IP  $remote_addr;
            proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
            proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
            proxy_pass http://192.168.0.1:8068/;
         }
         location  /eastedc/phoneocr/ {
            proxy_redirect off;
            proxy_set_header  Host  $host;
            proxy_set_header  X-Real-IP  $remote_addr;
            proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
            proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
            proxy_pass http://192.168.0.1:8068/;
        }
        location  /PhoneQuickTask/ {
            proxy_redirect off;
            proxy_set_header  Host  $host;
            proxy_set_header  X-Real-IP  $remote_addr;
            #启用支持websocket连接
            proxy_set_header Upgrade $http_upgrade;
            proxy_set_header Connection "upgrade";
            proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
            proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
            proxy_pass http://192.168.0.1:8088/;
        }
	location  /ocrcommon/ {
            proxy_redirect off;
            proxy_set_header  Host  $host;
            proxy_set_header  X-Real-IP  $remote_addr;
            proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
            proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
            proxy_pass http://192.168.0.1:8068/;
            proxy_read_timeout 3600s;
            proxy_connect_timeout       3600s;
            proxy_send_timeout          3600s;
            send_timeout                3600s;
            fastcgi_read_timeout        3600s;
        }
        location  /commoninterface/ {
            proxy_redirect off;
            proxy_set_header  Host  $host;
            proxy_set_header  X-Real-IP  $remote_addr;
            proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
            proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
            proxy_pass http://192.168.0.1:8070/;
            proxy_read_timeout 3600s;
            proxy_connect_timeout       3600s;
            proxy_send_timeout          3600s;
            send_timeout                3600s;
            fastcgi_read_timeout        3600s;
        }
        location  /OcrQuickTask_dgt_lsyz/ {
                proxy_redirect off;
                proxy_set_header  Host  $host;
                proxy_set_header  X-Real-IP  $remote_addr;
                proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
                proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
                proxy_pass http://192.168.0.1:8035/;
                proxy_read_timeout 3600s;
                proxy_connect_timeout       3600s;
                proxy_send_timeout          3600s;
                send_timeout                3600s;
                fastcgi_read_timeout        3600s;
        }
        location /filesss/ {
                        proxy_pass http://20.205.175.184/files/;

        }
		location  /CommonFunc/ {
			proxy_redirect off;
			proxy_set_header  Host  $host;
			proxy_set_header  X-Real-IP  $remote_addr;
			proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
			proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
			proxy_pass http://192.168.0.1:3002/;
			proxy_read_timeout 	3600s;
			proxy_connect_timeout	3600s;
			proxy_send_timeout	3600s;
			fastcgi_read_timeout	3600s;
		}
        location  /websocket/ {
            proxy_redirect off;
            proxy_set_header  Host  $host;
            proxy_set_header  X-Real-IP  $remote_addr;
            proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
            proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
            proxy_pass http://192.168.0.1:8088/websocket/calledMaterial;
        }
        
        location ~ /datasink/ {
            proxy_redirect off;
            proxy_set_header  Host  $host;
            proxy_set_header  X-Real-IP  $remote_addr;  
            proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
            proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
            proxy_pass https://datasink.medmeeting.com;
        }
		 location /old-page {
			return 301 https://referalh5.medmeeting.com/chatGPT-web/wyTemplate.html?uuid=ip&source=professional;
		}
        location /taskServices/ {
            # client_max_body_size    1000m;
            proxy_pass http://recomm.medmeeting.com;
            proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        }
        location  ^~ /rag/ {
	proxy_redirect off;
	proxy_set_header  Host  $host;
	proxy_set_header  X-Real-IP  $remote_addr;
	proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
	proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
	proxy_pass http://192.168.0.1:7861/;
	#proxy_pass http://192.168.0.1:80/;
}
        location  ^~ /rag_ui/ {
        proxy_redirect off;
        proxy_set_header  Host  $host;
        proxy_set_header  X-Real-IP  $remote_addr;
        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
        proxy_pass http://192.168.0.1:8501/;
        #proxy_pass http://192.168.0.1:80/;
}
location  ^~ /kb_api/ {
        proxy_redirect off;
        proxy_set_header  Host  $host;
        proxy_set_header  X-Real-IP  $remote_addr;
        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
        proxy_pass http://113.125.202.169:50001/;
        #proxy_pass http://192.168.0.1:80/;
}
location ^~ /spo/ {
        proxy_redirect off;
        proxy_set_header  Host  $host;
        proxy_set_header  X-Real-IP  $remote_addr;
        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
        proxy_next_upstream error timeout invalid_header http_500 http_502 http_503 http_504;
        proxy_pass http://192.168.0.1:5089/;
        #proxy_pass http://192.168.0.1:80/;
}

    
        location / {
            #   表示允许这个域跨域调用（客户端发送请求的域名和端口）
            #   $http_origin动态获取请求客户端请求的域   不用*的原因是带cookie的请求不支持*号
            add_header Access-Control-Allow-Origin '*';
            add_header 'Access-Control-Allow-Credentials' 'true';
            add_header 'Access-Control-Allow-Headers' 'Authorization,Content-Type,Accept,Origin,User-Agent,DNT,Cache-Control,X-Mx-ReqToken,X-Requested-With';
            add_header 'Access-Control-Allow-Methods' 'GET,POST,OPTIONS';
            #add_header Access-Control-Allow-Headers *; 
            #add_header 'Access-Control-Allow-Origin' 'http://im.tinywan.com';
            #add_header 'Access-Control-Allow-Headers' 'Origin, X-Requested-With, Content-Type, Accept';
            #add_header 'Access-Control-Allow-Methods' 'GET,POST,OPTIONS';
            #if ($http_user_agent ~* '(mobile|nokia|ipad|samsung|htc|Android|webOS|iPhone|iPod|BlackBerry)') {
            #    set $mobile_request '1';
            #    add_header 'Access-Control-Allow-Origin' 'http://im.tinywan.com';
            #    add_header 'Access-Control-Allow-Headers' 'Origin, X-Requested-With, Content-Type, Accept';
            #}
            #if ($mobile_request != '1') {
            #      add_header Content-Security-Policy upgrade-insecure-requests;
            #   }
            #if ( $request_uri = "/" ) {
            #    rewrite ^/(.*) https://recomm.medmeeting.com/#/ permanent;
            #}
            root   /usr/share/nginx/html;
            try_files $uri $uri/ /index.html;
            index  index.html index.htm;
        }

        error_page   500 502 503 504  /50x.html;
            location = /50x.html {
            root   html;
        }
    }


}
